<!--
  Generated template for the RideEditPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
 <ion-navbar>
    <ion-title>Edit Ride</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
	<div class="form pad-sides-10"> 
		<ion-item>
			<strong>From</strong> {{ride.location_from}}
		</ion-item>
		<ion-item>
			<strong>To</strong> {{ride.location_to}}
		</ion-item>
		<form [formGroup]="rideForm">
			<ion-item>
			    <ion-label><strong>Date</strong></ion-label>
			    <ion-input [formControl]="rideForm.controls['date']"
			        type="date" [min]="date" [disabled]="dateDisabled">
			    </ion-input>
		  	</ion-item>
		  	<ion-item>
			    <ion-label><strong>Departure Time</strong></ion-label>
			    <ion-input [formControl]="rideForm.controls['time']"
			        type="time" >
			    </ion-input>
		  	</ion-item>
		  	<ion-item>
			    <ion-label><strong>Seats</strong></ion-label>
			    <ion-input [formControl]="rideForm.controls['seats']"
			        type="number" placeholder="Number of Seats" min="1">
			    </ion-input>
		  	</ion-item>
		  	<ion-item>
			    <ion-label><strong>Price $</strong></ion-label>
			     <ion-input [formControl]="rideForm.controls['price']"
			        type="number">
			    </ion-input>
		  	</ion-item>
		  	
		  	<ion-item>
			    <ion-label><strong>Luggage Size</strong></ion-label>
			    <ion-select  [formControl]="rideForm.controls['luggageSize']">
	      			<ion-option value="Small" >Small</ion-option>
	      			<ion-option value="Medium">Medium</ion-option>
	      			<ion-option value="Large">Large</ion-option>
	      		</ion-select>
		  	</ion-item>
		  	<ion-item>
			    <ion-label><strong>Luggage Amount</strong></ion-label>
			    <ion-input [formControl]="rideForm.controls['luggageAmount']"
			        type="number" min="1" >
			    </ion-input>
		  	</ion-item>
		  	<ion-item>
			    <ion-label><strong>Description</strong></ion-label>
			    <ion-textarea [formControl]="rideForm.controls['description']">
			    </ion-textarea>
		  	</ion-item>
		  	<ion-item *ngIf="women_only">
		  		<ion-label> Women only? </ion-label>
		  		<ion-select  [formControl]="rideForm.controls['womenOnly']">
	      			<ion-option value="Yes">Yes</ion-option>
	      			<ion-option value="No" >No</ion-option>
	      		</ion-select>
		  	</ion-item>
		</form>

<!-- 		<div *ngIf="ride.airport">
			<h3> Aiport Ride </h3> 
			<ion-item>
			    <ion-label stacked><strong>Ride Action Type</strong></ion-label>
			    <ion-select  [(ngModel)]="ride.airport.type">
	      			<ion-option value="Parked" >Parked</ion-option>
	      			<ion-option value="Picking">Picking Up</ion-option>
	      			<ion-option value="Dropping">Dropping Off</ion-option>
	      		</ion-select>
		  	</ion-item>

		  	<ion-item *ngIf="ride.airport.type === 'Parked'">
		  		<ion-label position="stacked"><strong>Parking</strong></ion-label>
		  		<ion-input [(ngModel)]=ride.airport.parking type="text"></ion-input> 
		  	</ion-item> 
		</div>  -->

		<div *ngIf="isStop" padding>
			<h3 class="pad-10"> Stop Overs </h3> 
			<ion-list *ngFor="let stop of stops">
					<p> Price From {{ride.city_from}} to {{stop.city_name}}</p>
		  		<ion-item>
		  			<ion-input [(ngModel)]="stop.price_from" type="number" > </ion-input>
		  		</ion-item>
		  			<p> Price From {{stop.city_name}} to {{ride.city_to}}</p>
		  		<ion-item>
		  			<ion-input [(ngModel)]="stop.price_to" type="number" > </ion-input>
		  		</ion-item>
		  	</ion-list>
		</div>

		<div *ngIf="ride.passengers" padding>
			<h3>Passengers</h3>
			<ion-list *ngFor="let p of ride.passengers; let i of index">
				<ion-avatar>
				      <p> {{p.first_name}}</p>
				      <p> Rate <span *ngIf="p.rate == null"> 0 </span> 
				      		   <span *ngIf="p.rate != null"> {{p.rate}} </span> / 5 
				      </p>
				      <p> Going to <strong> {{p.city_to}} </strong> </p>
				      <button (click)="viewPublicProfile(p.id)">
						View Profile</button>
								    
				</ion-avatar>
			</ion-list>
		</div>

		<button (click)="editRide()" ion-button full color="primary" class="btn rounded">Edit Ride</button>
	</div>
</ion-content>
